const Joueur = require("../models/joueur.model.js");

exports.auth = (req, res) => {
    Joueur.auth(req.body.email, req.body.mdp, (err, data) => {
      if (err) {
        if (err.kind === "not_found") {
          res.status(404).send({
            message: "Invalid email or password"
          });
        } else {
          res.status(500).send({
            message: "Error checking authentication "
          });
        }
      } else {
        req.session.loggedIn = true;
        req.session.username = req.body.email;
        req.session.pseudo = data[0]['pseudo'];
        req.session.uid = data[0]['id_joueur'];
        console.log("UID : " + req.session.uid);
        console.log("Session ID: " + req.sessionID);
        res.send({ res: true, body: data[0]['pseudo'] });
      }
    });
};

exports.checkLogin = (req, response) => {
    if (req.session.loggedIn) {
        response.send({ res: true, body: req.session.pseudo });
    } else {
        response.send({ res: false, body: 'You are not logged in' });
        console.log("Session ID: ", req.sessionID);
    }
    response.end();
};
