const sql = require("./db.js");

// constructor
const Joueur = function(joueur) {
  this.pseudo = joueur.id_pokemon;
  this.email = joueur.courant;
  this.password = joueur.password;
};


Joueur.auth = (email, password, result) => {
    sql.query('SELECT pseudo, id_joueur FROM joueur WHERE email = ? AND mdp = ?', [email, password], (err, res) => {
      if (err) {
        console.log("error: ", err);
        result(err, null);
        return;
      }
  
      if (res.length) {
        console.log("Valid authentication: ", res);
        result(null, res);
        return;
      }
  
      // Invalid email or password
      result({ kind: "not_found" }, null);
    });
};

module.exports = Joueur;