import { Component, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
@Component({
  selector: 'app-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.css']
})
export class HeaderComponent implements OnInit {
  currentUser: any = {};
  titre: String;
  chemin: String;
  constructor(private http: HttpClient) { }

  ngOnInit(): void {
    this.http.get('http://localhost:3000/checkLogin', { responseType: 'json', withCredentials: true}).subscribe(res => {this.currentUser = res;
    console.log(this.currentUser);
    if(this.currentUser.res){
      this.titre = this.currentUser.body;
      this.chemin = "/profil";
    }else{
      this.titre = "Account";
      this.chemin = "/account";
    }

  });
}
  
}
