import { Component, OnInit } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { NgLocalization } from '@angular/common';

@Component({
  selector: 'app-team',
  templateUrl: './team-menu.component.html',
  styleUrls: ['./team-menu.component.css']
})
export class TeamMenuComponent implements OnInit {

  team: any = {};
  constructor(private http: HttpClient) { }
  
  removePokemon(pokemon){
    const headers = new HttpHeaders()
          .set('Content-Type', 'application/json');
    this.http.post('http://localhost:3000/removepokemon', {id_pokemon: pokemon.id_pokemon} , { headers: headers, withCredentials: true}).subscribe(
      (response) => {console.log(response); this.ngOnInit();},
      (error) => console.log(error)
    )
  }

  ngOnInit(): void {
    this.http.get("http://localhost:3000/getteam", { responseType: 'json', withCredentials: true }).subscribe(
      (response) => {console.log(response); this.team = response;},
      (error) => {console.log(error)});
    console.log(this.team.body);
  }

}
